# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Race'
        db.create_table(u'races_race', (
            ('key', self.gf('django.db.models.fields.CharField')(max_length=16, primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('description', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'races', ['Race'])

        # Adding model 'Racer'
        db.create_table(u'races_racer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nick', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('race', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['races.Race'])),
            ('joined', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('started', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('finished', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'races', ['Racer'])

        # Adding unique constraint on 'Racer', fields ['nick', 'race']
        db.create_unique(u'races_racer', ['nick', 'race_id'])

        # Adding model 'RaceUpdate'
        db.create_table(u'races_raceupdate', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('racer', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['races.Racer'])),
            ('update', self.gf('django.db.models.fields.TextField')()),
            ('event_time', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.now)),
        ))
        db.send_create_signal(u'races', ['RaceUpdate'])


    def backwards(self, orm):
        # Removing unique constraint on 'Racer', fields ['nick', 'race']
        db.delete_unique(u'races_racer', ['nick', 'race_id'])

        # Deleting model 'Race'
        db.delete_table(u'races_race')

        # Deleting model 'Racer'
        db.delete_table(u'races_racer')

        # Deleting model 'RaceUpdate'
        db.delete_table(u'races_raceupdate')


    models = {
        u'races.race': {
            'Meta': {'object_name': 'Race'},
            'description': ('django.db.models.fields.TextField', [], {}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '16', 'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'races.racer': {
            'Meta': {'unique_together': "(('nick', 'race'),)", 'object_name': 'Racer'},
            'finished': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'joined': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'nick': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'race': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['races.Race']"}),
            'started': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'races.raceupdate': {
            'Meta': {'object_name': 'RaceUpdate'},
            'event_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'racer': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['races.Racer']"}),
            'update': ('django.db.models.fields.TextField', [], {})
        }
    }

    complete_apps = ['races']