# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'SeenNick'
        db.create_table(u'seen_seennick', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('nick', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('channel', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('host', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('seen_time', self.gf('django.db.models.fields.DateTimeField')(default=datetime.datetime.now, blank=True)),
            ('what', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'seen', ['SeenNick'])

        # Adding unique constraint on 'SeenNick', fields ['nick', 'channel']
        db.create_unique(u'seen_seennick', ['nick', 'channel'])


    def backwards(self, orm):
        # Removing unique constraint on 'SeenNick', fields ['nick', 'channel']
        db.delete_unique(u'seen_seennick', ['nick', 'channel'])

        # Deleting model 'SeenNick'
        db.delete_table(u'seen_seennick')


    models = {
        u'seen.seennick': {
            'Meta': {'ordering': "['-seen_time']", 'unique_together': "(('nick', 'channel'),)", 'object_name': 'SeenNick'},
            'channel': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nick': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'seen_time': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now', 'blank': 'True'}),
            'what': ('django.db.models.fields.TextField', [], {})
        }
    }

    complete_apps = ['seen']